Subject: Re: linux-next: manual merge of the tip tree with Linus' tree

From: Tejun Heo <[email-masked]>
Date: Mon, 27 Oct 2025 15:10:43 -1000

On Tue, Oct 28, 2025 at 11:22:05AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   kernel/sched/ext.c
> 
> between commit:
> 
>   a8ad873113d3 ("sched_ext: defer queue_balance_callback() until after ops.dispatch")
> 
> from Linus' tree and commit:
> 
>   4c95380701f5 ("sched/ext: Fold balance_scx() into pick_task_scx()")
> 
> from the tip tree.
> 
> I fixed it up (see below - but I was not sure if the
> "maybe_queue_balance_callback(rq);" is positioned correctly) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

I resolved this in sched_ext/for-6.19 by pulling for-6.18-fixes but yeah the
conflict is through tip/sched/core. I think your resolution is correct and
matches sched_ext/for-6.19 (sans whitespaces).

I don't know how tip tree resolves these conflicts but either way - leaving
it as-is until the merge window, or pulling master and resolving in tip - is
fine from sched_ext POV. I can sync with tip/sched/core as necessary.

Thanks.

-- 
tejun